# Uses of Interface
org.eclipse.birt.report.engine.content.IContainerContent

Packages that use IContainerContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IContainerContent in org.eclipse.birt.report.engine.content

Subinterfaces of IContainerContent in org.eclipse.birt.report.engine.content
Modifier and Type
Interface
Description
`interface`
`IBandContent`
Provides the interface for the Band Content.
`interface`
`ICellContent`
Provides the interfaces for Cell Content
`interface`
`IGroupContent`
Provides interfaces for Group Content.
`interface`
`IListBandContent`
Provides the interface for the Band Content in List.
`interface`
`IListContent`
Provides interfaces for List Content.
`interface`
`IListGroupContent`
Provide the interfaces for the List Group Content.
`interface`
`IPageContent`
Page instance.
`interface`
`IRowContent`
Provides the interfaces for the Row AbstractContent
`interface`
`ITableBandContent`
Provides the interfaces for the Table Band Content
`interface`
`ITableContent`
Provides the interfaces for the Table Content
`interface`
`ITableGroupContent`
Provide the interfaces for the Table Group Content.
Methods in org.eclipse.birt.report.engine.content that return IContainerContent
Modifier and Type
Method
Description
`IContainerContent`
IReportContent.`createContainerContent()`
create a container content.
Methods in org.eclipse.birt.report.engine.content with parameters of type IContainerContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitContainer(IContainerContent container, Object value)`
visit content( free-form and list band)

## Uses of IContainerContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IContainerContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endContainer(IContainerContent container)`
End container
`void`
IContentEmitter.`startContainer(IContainerContent container)`
Start container